# Generated by go2rpm
%bcond_without check

# https://github.com/julienschmidt/httprouter
%global goipath         github.com/julienschmidt/httprouter
Version:                1.3.0

%gometa

%global common_description %{expand:
HttpRouter is a lightweight high performance HTTP request router (also called
multiplexer or just mux for short) for Go.

In contrast to the default mux of Go's net/http package, this router supports
variables in the routing pattern and matches against the request method. It also
scales better.

The router is optimized for high performance and a small memory footprint. It
scales well even with very long paths and a large number of routes. A
compressing dynamic trie (radix tree) structure is used for efficient matching.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Group:          Development/Other
Release:        %mkrel 3
Summary:        High performance http request router that scales well

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.3.0-3.mga9
+ Revision: 1815389
- Mageia 9 Mass Rebuild

* Mon Nov 15 2021 guillomovitch <guillomovitch> 1.3.0-2.mga9
+ Revision: 1756611
- rebuild for mageia 9

* Sun Oct 25 2020 pterjan <pterjan> 1.3.0-1.mga8
+ Revision: 1639378
- Update to 1.3.0 and sync with Fedora

* Sat Nov 24 2018 pterjan <pterjan> 1.1-1.mga7
+ Revision: 1333792
- imported package golang-github-julienschmidt-httprouter


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-14.gitadbc77e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 17 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1-13.gitadbc77e
- Upload glide files

* Fri Jun 01 2018 Paul Gier <pgier@redhat.com> - 1.1-12
- Update to latest snapshot
- Minor updates to latest go packaging standards

* Thu Mar 01 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1-11
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Jan Chaloupka <jchaloup@redhat.com> - 1.1-9
- Polish the spec file
  related: #1262566

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 1.1-2
- Update to spec-2.1
  resolves: #1262566

* Thu Aug 27 2015 jchaloup <jchaloup@redhat.com> - 1.1-1
- First package for Fedora
  resolves: #1257619

